<div class="settings-padding">
  <mat-form-field>
    <mat-label>Color Maps</mat-label>
    <mat-select
      [value]="selectedAnnotationColorMap"
      (selectionChange)="onAnnotationRenderingHintChanged($event)">
      <!-- Don't delete this, this could be useful if we want to go back
      showing colors of the color maps instead of the name -->
      <!-- <mat-select-trigger>
        <app-annotation-class-color-item
          [annotationRendering]="selectedAnnotationRenderingHint">
        </app-annotation-class-color-item>
      </mat-select-trigger> -->
      <mat-option
        *ngFor="let colorMap of annotationColorMaps"
        [value]="colorMap.id">
        {{colorMap.id}}
        <!-- <app-annotation-class-color-item
          [annotationRendering]="colorMap.renderingHints">
        </app-annotation-class-color-item> -->
      </mat-option>
    </mat-select>
  </mat-form-field>
  <div class="inversion-container">
    <mat-slide-toggle
      color="accent"
      labelPosition="before"
      [disabled]="annotationColorMapInversionDisableState"
      [checked]="annotationColorMapInversion"
      (change)="onInversionChanged($event)">
      Invert
    </mat-slide-toggle>
  </div>
</div>
